# $Id: vB_sql_changes.sql,v 20010820 2001-08-20 23:56:21-05 paul Exp $

INSERT INTO usenet_setting VALUES ( '1', 'Servername', 'default_nntp_server', 'nntp_server:119', 'Default news server. This is used when no specific server is set for the individual newsgroups in the \'Groups\' options.', '', '1', '0', '0');
INSERT INTO usenet_setting VALUES ( '2', 'Username', 'default_nntp_username', 'nntp_username', 'Username for default news server.', '', '1', '0', '0');
INSERT INTO usenet_setting VALUES ( '3', 'Password', 'default_nntp_password', 'nntp_password', 'Password for default news server.', 'password', '1', '0', '0');
INSERT INTO usenet_setting VALUES ( '4', 'SMTP Mail Server', 'smtp_server', 'localhost', 'SMTP server to use for admin messages and email notification of replies.', '', '1', '0', '0');
INSERT INTO usenet_setting VALUES ( '5', 'Enable Multi-server', 'enable_multiple_news_servers', '1', 'Set this to 1 if you need multiple servers. They can be set per newsgroup in the \'Groups\' options. Any newsgroup that does not have a news server specified will use the default server entered above. For performance reasons, if you do not require multiple servers it is recommended this be set to No.', 'yesno', '1', '0', '0');
INSERT INTO usenet_setting VALUES ( '6', 'Useragent', 'useragent', 'forums@MySite.com', 'This is a tag to identify posts originated from your forum. It should be set to something that is unlikely to be used as a real useragent by a news reader. ie. your site domain name.', '', '2', '0', '0');
INSERT INTO usenet_setting VALUES ( '7', 'From', 'nntp_from', 'member@mysite.com', 'Default email address. This should at least look like a real email address (this is required for many news servers). Setting this to a real email will mean any email replies to usenet posts originating from your forums will be sent to you.', '', '2', '0', '0');
INSERT INTO usenet_setting VALUES ( '8', 'Footer', 'outgoing_post_footer', 'Posted via MySite\\nhttp://mysite.com', 'Footer to appear as signature on all outgoing posts. (for a new line character, use \'\\n\' without the quotes ie. this is line 1\\nand this is line 2)', '', '2', '0', '0');
INSERT INTO usenet_setting VALUES ( '9', 'Custom Quote Style<br><font size=1 color=blue>(requires 3 custom bbcodes)</font>', 'custom_quotes', '1', 'Apply bbcode to around usenet quotes for readability. This option adds the following codes into the text:
<br><li>[q1] - first level quote
<br><li>[q2] - second level quote.
<br><li>[q3] - third level quote.', 'yesno', '3', '0', '0');
INSERT INTO usenet_setting VALUES ( '12', 'Hyperlinks', 'hyperlinked_uri', '1', 'Automatically parse messages for URIs and hyperlink accordingly.', 'yesno', '3', '0', '0');
INSERT INTO usenet_setting VALUES ( '13', 'Smilies', 'allowsmilies', '1', 'convert emoticons in usenet posts into graphical smilies.', 'yesno', '3', '0', '0');
INSERT INTO usenet_setting VALUES ( '14', 'Article Wrap', 'article_wrap', '100', 'Number of columns before wrapping posts in forums. Auto wrapping can\'t be used for usenet posts due to quotations. The optimum setting for this is dependent on your layout.', '', '3', '0', '0');
INSERT INTO usenet_setting VALUES ( '15', 'Character set for MIME decoder', 'charset', 'ISO-8859-1', 'Character set to use for decoding of MIME quoted printable strings.', '<select name=\\\"setting[$setting[settingid]]\\\"> <option value=\\\"ISO-8859-1\\\" \".iif($setting[value]==\"ISO-8859-1\",\"selected\",\"\").\">West European (ISO-8859-1) - Latin1</option> <option value=\\\"ISO-8859-2\\\" \".iif($setting[value]==\"ISO-8859-2\",\"selected\",\"\").\">East European (ISO-8859-2) - Latin2</option> <option value=\\\"ISO-8859-3\\\" \".iif($setting[value]==\"ISO-8859-3\",\"selected\",\"\").\">South European (ISO-8859-3) - Latin3</option> <option value=\\\"ISO-8859-4\\\" \".iif($setting[value]==\"ISO-8859-4\",\"selected\",\"\").\">North European (ISO-8859-4) - Latin4</option> <option value=\\\"ISO-8859-5\\\" \".iif($setting[value]==\"ISO-8859-5\",\"selected\",\"\").\">Cyrillic (ISO-8859-5)</option> <option value=\\\"ISO-8859-6\\\" \".iif($setting[value]==\"ISO-8859-6\",\"selected\",\"\").\">Arabic (ISO-8859-6)</option> <option value=\\\"ISO-8859-7\\\" \".iif($setting[value]==\"ISO-8859-7\",\"selected\",\"\").\">Greek (ISO-8859-7)</option> <option value=\\\"ISO-8859-8\\\" \".iif($setting[value]==\"ISO-8859-8\",\"selected\",\"\").\">Hebrew (ISO-8859-8)</option> <option value=\\\"ISO-8859-9\\\" \".iif($setting[value]==\"ISO-8859-9\",\"selected\",\"\").\">Turkish (ISO-8859-9) - Latin5</option> <option value=\\\"ISO-8859-10\\\" \".iif($setting[value]==\"ISO-8859-10\",\"selected\",\"\").\">Nordic (ISO-8859-10) - Latin6</option> </select>', '3', '9', '0');
INSERT INTO usenet_setting VALUES ( '16', 'Batch Limit', 'batch_limit', '500', 'Number of articles to fetch per newsgroup per run. The optimum setting for this is dependent on so many factors, it will differ for each installation. Things to consider when setting this are: the speed of your newsfeed, memory available on your machine, the number of groups you are collecting and the frequency the news is collected.', '', '50', '0', '0');
INSERT INTO usenet_setting VALUES ( '17', 'Days to Keep Orphaned Replies', 'expire_days', '21', 'Days to keep replies to articles that have not propogated to your news server. <i><br>NOTE: This will not prune newsgroup postings already placed in the forums. It is simply to prevent a build up of orphan replies in the usenet_article table.</i>', '', '50', '0', '0');
INSERT INTO usenet_setting VALUES ( '18', 'Maximum Message Length (lines)', 'max_msg_length', '750', 'Max number of lines in message to download. Any message with more lines than the number specified is considered to be a binary post.', '', '50', '0', '0');
INSERT INTO usenet_setting VALUES ( '19', 'Console Output', 'output_to_console', '1', 'Turn on to see progress of the script on the console as the script runs.', 'yesno', '9', '0', '0');
INSERT INTO usenet_setting VALUES ( '20', 'Email Notification for Users', 'email_notify', '0', 'Notify users of replies to usenet threads they have posted in. This is a global switch and will NOT overide the users profile setting if they have elected not to recieve emails.', 'yesno', '4', '0', '1');
INSERT INTO usenet_setting VALUES ( '21', 'Re-import Local Posts', 'recover_deleted_localposts', '0', 'This will re-import local originated posts that are on usenet but not in the forums due to deletion. Setting this to 1 will mean that any posts that were legimately deleted will also be re-imported.', 'yesno', '9', '0', '0');
INSERT INTO usenet_setting VALUES ( '22', 'Enable Auto Expire', 'auto_purge', '1', 'This option will enable the automatic purging of usenet threads that contain posts that are all older than the specified time in days. Only threads in which all posts are older than the specified time will be deleted. Otherwise the entire thread is left intact.', 'yesno', '6', '1', '0');
INSERT INTO usenet_setting VALUES ( '23', 'Expire Threads Older Than (days)', 'auto_purge_days', '120', 'Max time in days that a usenet thread should be kept before being automatically expired. This will only occur if the \'Auto Expire\' option above is enabled.', '', '6', '3', '0');
INSERT INTO usenet_setting VALUES ( '24', 'Include Posts by Registered Users in Auto Expire', 'auto_purge_reg', '1', 'This option allows you to exclude threads started by registered users from the auto expire function. This option will have no effect if \'Auto Expire\' is not enabled.', 'yesno', '6', '2', '0');
INSERT INTO usenet_setting VALUES ( '25', 'Filter outgoing messages for spam?', 'spam_check_outgoing', '1', 'Enabling this will apply the spam filters to all forum posts destined for usenet.', 'yesno', '5', '1', '0');
INSERT INTO usenet_setting VALUES ( '26', 'Apply replacement rules to outgoing posts?', 'replace_on_outgoing', '0', 'Enabling this will apply the replacement rules to all forum posts destined for usenet.', 'yesno', '5', '2', '0');
INSERT INTO usenet_setting VALUES ( '27', 'Include user signature on outgoing posts?', 'include_sig', '1', 'This will append any user defined signature to outgoing posts. This is a global switch and will NOT override individual post or user preferences. Which signature is appended is dependent on the \'Usenet Signature\' option below.', 'yesno', '5', '7', '1');
INSERT INTO usenet_setting VALUES ( '28', 'Allow user email address on posts', 'allow_user_email_address', '0', 'This will display the user\'s email address in place of the default email specified above on all outgoing posts. This is a global switch and will NOT overide individual user preferences. Rather than use this option, it is recommended to add a custom profile field to allow a seperate email address to be specified. This setting will have no effect if the custom email option is used.', 'yesno', '5', '4', '1');
INSERT INTO usenet_setting VALUES ( '29', 'Time source for usenet \'last post times\'<BR><font size=1 color=green>(code edit recommended)</font>', 'time_source', 'NNTP', 'This option determines from which source the thread started time and lastpost time for usenet articles is obtained. This setting does not affect the posted date or the ordering of usenet posts within threads. However, if NNTP time is selected, it is recommended that a code change be made to ensure local posts made in usenet forums are correctly ordered (see instructions).', '<select name=\\\"setting[$setting[settingid]]\\\">
  <option value=\\\"NNTP\\\" \".iif($setting[value]==\"NNTP\",\"selected\",\"\").\">Originally posted on usenet - NNTP</option>
  <option value=\\\"LOCAL\\\" \".iif($setting[value]==\"LOCAL\",\"selected\",\"\").\">Inserted into forums - LOCAL</option>
</select>', '4', '0', '1');
INSERT INTO usenet_setting VALUES ( '30', 'Index usenet posts', 'index_posts', '0', 'This option will enable/disable indexing of usenet articles as they are inserted into the forums. Setting to to off will save considerable load processing time but will obviously mean usenet posts will not be searchable.', 'yesno', '4', '0', '0');
INSERT INTO usenet_setting VALUES ( '31', 'Use custom email address<br><font size=1 color=blue>(requires additional custom profile field)</font>', 'use_custom_email', '1', 'This will use the custom email address defined in the users profile specifically for usenet posts. If set to yes, and the user has not entered an email address in this field, the default global email specified in this control panel is used. The users normal email address is NOT used in any circumstances if this option is on. This option will also overide the \'Allow user email address on posts\' option above.', 'yesno', '5', '5', '1');
INSERT INTO usenet_setting VALUES ( '32', 'Custom profile field title for usenet email address<br><font size=1 color=blue>(requires additional custom profile field)</font>', 'email_profile_id', 'Usenet Email Address', 'Enter the EXACT title of the custom user profile field you are using for the usenet email address options described above. (see instruction for more information)', '', '5', '6', '1');
INSERT INTO usenet_setting VALUES ( '33', 'Show Usenet Posts in Stats <font size=1 color=red>(code edits required)</font>', 'showusenetpostsinstats', '0', 'By default, usenet posts WILL be included in the stats displayed in the control panel. Set this to yes if you want to supress usenet posts.
<i><br>Note: If the vB code edits are not made, usenet posts WILL ALWAYS be shown in the stats.</i>', 'yesno', '10', '0', '1');
INSERT INTO usenet_setting VALUES ( '34', 'Show Usenet Posts in \'Get New Posts\' search <font size=1 color=red>(code edits required)</font>', 'includeusenetpostsingetnew', '0', 'By default, usenet posts will be included in the \'Get New Posts\'. Set this to No if you do want to  exclude usenet posts.
<i><br>Note: If the vB code edits have not been made, usenet posts WILL ALWAYS show in the results.</i>', 'yesno', '10', '0', '1');
INSERT INTO usenet_setting VALUES ( '35', 'Send posts to usenet?', 'postingenabled', '1', 'This is a global switch to toggle the propogation of local posts to usenet. Posts will still appear in the local forum but will never be sent to usenet and will NOT be queued for later sending. Posts made while this switch is off will remain as local posts only.', 'yesno', '5', '0', '0');
INSERT INTO usenet_setting VALUES ( '36', 'Quote Size', 'quote_size', '1', 'This setting controls the text size of usenet quotes. Pixels will NOT work. The only sensible values are 1 (small) and 2 (normal).', '', '3', '0', '0');
INSERT INTO usenet_setting VALUES ( '37', 'Custom profile field title for usenet signature<br><font size=1 color=blue>(requires additional custom profile field)</font>', 'signature_profile_id', 'Usenet Signature', 'Enter the EXACT title of the custom user profile field you are using for the usenet signature option. (see instruction for more information)', '', '5', '7', '1');


INSERT INTO usenet_settinggroup VALUES ( '1', 'Default Server Information', '5');
INSERT INTO usenet_settinggroup VALUES ( '2', 'Article Header & Footer Information', '10');
INSERT INTO usenet_settinggroup VALUES ( '3', 'Article Display', '15');
INSERT INTO usenet_settinggroup VALUES ( '50', 'Script Settings', '50');
INSERT INTO usenet_settinggroup VALUES ( '4', 'Incoming Usenet Threads & Posts', '20');
INSERT INTO usenet_settinggroup VALUES ( '6', 'Automatic Expire', '35');
INSERT INTO usenet_settinggroup VALUES ( '5', 'Outgoing Posts to Usenet', '25');
INSERT INTO usenet_settinggroup VALUES ( '10', 'vB Integration', '40');
INSERT INTO usenet_settinggroup VALUES ( '9', 'Debug & Special', '99');

