<?php
# $Id: usenet.php,v 20010820 2001-08-20 23:56:21-05 paul Exp $
require("./global.php");

if (function_exists("set_time_limit")==1 and get_cfg_var("safe_mode")==0) {
  @set_time_limit(10000);
}

$nozip=1;

adminlog();
cpheader();

if (isset($action)==0) {
  $action="options";
}

if ($action=="options") {
  if (isset($settinggroupid)) {
    $sqlwhere=" WHERE settinggroupid=$settinggroupid ";
  } else {
    $sqlwhere=" WHERE displayorder<>0 ";
  }
  echo "<p>Usenet Settings:</p>\n";
  echo "<table border='0'><tr valign='top'><td><ul>\n";

  $settinggroups=$DB_site->query("SELECT settinggroupid,title,displayorder FROM usenet_settinggroup $sqlwhere ORDER BY displayorder");
  $numgroups = $DB_site->num_rows($settinggroups);
  $percolumn = ceil($numgroups/2);
  while ($settinggroup=$DB_site->fetch_array($settinggroups)) {
   if ($settingcounter++ == $percolumn) { echo "</ul></td><td><ul>"; }
   echo makelinkcode($settinggroup[title],"#settinggroup$settinggroup[settinggroupid]")."<br>\n";
  }

  echo "</ul></td></tr></table>\n";
  doformheader("usenet","dooptions",0,0);

  $DB_site->data_seek(0,$settinggroups);
  while ($settinggroup=$DB_site->fetch_array($settinggroups)) {

    echo "<table cellpadding='0' cellspacing='0' border='0' width='100%' class='tblborder'><tr><td>\n";
   echo "<table cellpadding='4' cellspacing='1' border='0' width='100%'>\n";
   maketableheader($settinggroup[title],"settinggroup$settinggroup[settinggroupid]");

    $settings=$DB_site->query("SELECT settingid,title,varname,value,description,optioncode,displayorder FROM usenet_setting WHERE settinggroupid=$settinggroup[settinggroupid] ORDER BY displayorder");
    while ($setting=$DB_site->fetch_array($settings)) {

      echo "<tr class='".iif($bgcounter++%2==0,"firstalt","secondalt")."'>\n<td width=\"65%\"><p><b>$setting[title]</b><br><font size='1'>$setting[description]</font></p></td>\n<td width=\"35%\">";

      if ($setting[optioncode]=="") {
        echo "<input type=\"text\" size=\"35\" name=\"setting[$setting[settingid]]\" value=\"".htmlspecialchars($setting[value])."\">";
      } elseif ($setting[optioncode]=="yesno") {
        echo "Yes<input type=\"radio\" name=\"setting[$setting[settingid]]\"  ".iif($setting[value]==1,"checked","")." value=\"1\"> No <input type=\"radio\" name=\"setting[$setting[settingid]]\" ".iif($setting[value]==0,"checked","")." value=\"0\">";
      } elseif ($setting[optioncode]=="password") {
        echo "<input type=\"password\" size=\"35\" name=\"setting[$setting[settingid]]\" value=\"".htmlspecialchars($setting[value])."\">";
      } else {
        eval ("echo \"$setting[optioncode]\";");
      }

      echo "</td>\n</tr>\n";
    }
   echo "</table></td></tr></table><br><br>\n";
  }
  echo "<table cellpadding='1' cellspacing='0' border='0' width='100%' class='tblborder'><tr><td>\n";
  echo "<table cellpadding='4' cellspacing='0' border='0' width='100%'>\n";
  $tableadded=1;
  doformfooter("Save Changes");
}


if ($action == "groups") {
  doformheader("usenet","dogroups");
  maketableheader("Manage Usenet Groups");
  echo "<tr class='firstalt'><td>\n<ul>\n";
  if ($saved==1) { echo "<div align=right><font color=red>OPTIONS SAVED</font></div>"; }
  echo "<font size=1><b>&#187; Toggle All Groups &nbsp;- [<a href=\"usenet.php?action=toggle&mode=on\">On</a>] &nbsp;  [<a href=\"usenet.php?action=toggle&mode=off\">Off</a>] </b><br>";
  echo "<b>&#187; <a href=\"usenet.php?action=add\">Add New Newsgroup</a></b><br>";
  echo "<b>&#187; <a href=\"usenet.php?action=reset\">Reset All Message Counts</a></b><br>";
  echo "<b>&#187; <a href=\"usenet.php?action=purge\">Delete All Usenet Posts</a></b></font>";
  echo "<p>";
  echo "<p><b>Usenet Groups:</b></p><ul>\n";
  echo "<table border=0>";
  $groups=$DB_site->query("SELECT b.replycount, a.forum,a.newsgroup,a.lastmsg,a.enabled,a.server,a.username,a.password, b.title FROM usenet_group a LEFT JOIN forum b on (a.forum = b.forumid) ORDER BY a.newsgroup");
  while ($group=$DB_site->fetch_array($groups)) {
    echo "<tr><td><b><li>$group[newsgroup]</b> -> $group[title] </td></tr>";
    echo "<tr><td> On<input type=\"radio\" name=\"enabled[$group[forum]]\" value=\"1\" ".iif($group[enabled]==1,"checked","")."> Off<input type=\"radio\" name=\"enabled[$group[forum]]\" value=\"0\" ".iif($group[enabled]==0,"checked","")."> &nbsp;&nbsp;";
    echo "(last msg: <input type=\"text\" size=\"9\" name=\"lastmsg[$group[forum]]\" value=\"".$group[lastmsg]."\">) &nbsp;&nbsp;$group[replycount] posts &nbsp;&nbsp;";
    echo "<a href=\"usenet.php?action=edit&group=$group[newsgroup]&groupid=$group[forum]\">[Edit]</a>   <a href=\"usenet.php?action=remove&group=$group[newsgroup]&groupid=$group[forum]\">[Remove]</a>  <a href=\"usenet.php?action=purge&group=$group[newsgroup]&groupid=$group[forum]\">[Purge]</a>";
    echo " <a href=\"usenet.php?action=manual&group=$group[newsgroup]&groupid=$group[forum]\">[Review/Insert Orphans]</a>";
    echo "</td></tr>";
    echo "<tr><td><hr size=1></td></tr>";
  }
  echo "</table>";
  echo "</ul>\n</td></tr>\n";
  doformfooter("Update");
}


if ($action=="toggle") {
  if ($mode=="on") {
    $DB_site->query("UPDATE usenet_group SET enabled = 1");
  } else {
    $DB_site->query("UPDATE usenet_group SET enabled = 0");
  }
  echo "Your changes have been saved.";
}


if ($action=="dogroups") {
  while (list($key,$val)=each($enabled)) {
    $DB_site->query("UPDATE usenet_group SET enabled = $val WHERE forum = $key");
  }
  while (list($key,$val)=each($lastmsg)) {
    $DB_site->query("UPDATE usenet_group SET lastmsg = $val WHERE forum = $key");
  }
  echo "Your changes have been saved.";
}


if ($action=="reset") {
  if ($mode=="confirmed") {
    $DB_site->query("UPDATE usenet_group SET lastmsg = 0");
    echo "Your changes have been saved.";
  } elseif ($mode=="cancel") {
    header("Location: usenet.php?s=$s&action=groups");
  } else {
    echo "This will reset the 'last message' counts to zero for ALL newsgroups.<p><b>  <a href=\"usenet.php?s=$s&action=reset&mode=confirmed\">[Do it]</a> &nbsp; <a href=\"usenet.php?s=$s&action=reset&mode=cancel\">[Cancel]</a></b>";
  }
}


if ($action=="remove") {
  $threads=$DB_site->query("SELECT count(*) FROM thread WHERE forumid= '$groupid'");
  $threadcount=$DB_site->fetch_array($threads);
  if ($threadcount == 0 || $mode == "confirmed") {
    $DB_site->query("DELETE FROM usenet_group WHERE newsgroup='".addslashes($group)."'");
    echo "Your changes have been saved.";
  } elseif ($mode == "confirm") {
    echo "There are still active posts in this newsgroup! <p> Please delete them using the <a href=\"thread.php?s=$s&action=prune\"><b>prune</b></a> option.<br> If you really want to delete the group without purging the posts click <a href=\"usenet.php?s=$s&action=remove&group=$group&mode=confirmed\"><b>here</b></a>. <p> Note: the vB forum will still be there even if you delete the usenet entry.";
  } elseif ($threadcount > 0) {
    echo "There are still active posts in this newsgroup! <p> Please delete them using the <a href=\"thread.php?s=$s&action=prune\"><b>prune</b></a> option.<br> If you really want to delete the group without purging the posts click <a href=\"usenet.php?s=$s&action=remove&group=$group&mode=confirmed\"><b>here</b></a>. <p> Note: the vB forum will still be there even if you delete the usenet entry.";
  }
}


if ($action=="edit" || $action == "add") {
  doformheader("usenet",iif($action=="edit","saveedit","saveadd"));
  $groups=$DB_site->query("SELECT * FROM usenet_group WHERE newsgroup = '$group'");
  $group=$DB_site->fetch_array($groups);
  makehiddencode("groupid","$group[newsgroup]");
  makeinputcode("Newsgroup","newsgroup",$group[newsgroup],0);
  makechoosercode("Destination forum","destforum","forum",iif($action=="edit",$group[forum],-1),"Select Destination Forum");
  maketextareacode("Footer<br>Custom footer text for<br>outgoing messages.<br>This overides the<br>default footer in 'Options'","footer",$group[footer]);
  makehrcode();
  makeyesnocode("Enabled<br>(Suspends usenet loads)","enabled",$group[enabled]);
  makeinputcode("Last Message Number","lastmsg",$group[lastmsg],0,10);
  makehrcode();
  makeinputcode("Server Name<br>Overides default<br> server in 'Options'","server",$group[server]);
  makeinputcode("Username","username","$group[username]");
  makepasswordcode("Password","password","$group[password]");
  makehrcode();
  doformfooter();
}


if ($action=="saveedit") {
  $groups=$DB_site->query("UPDATE usenet_group SET newsgroup='".addslashes($newsgroup)."', forum='".addslashes($destforum)."', footer='".addslashes($footer)."', enabled='$enabled', lastmsg='$lastmsg', server='".addslashes($server)."', username='".addslashes($username)."', password='".addslashes($password)."' WHERE newsgroup = '".addslashes($groupid)."'");
  echo "Your changes have been saved.";
}

if ($action=="saveadd") {
  $groups=$DB_site->query("INSERT INTO usenet_group (newsgroup,forum,footer,enabled,lastmsg,server,username,password) VALUES('".addslashes($newsgroup)."','".addslashes($destforum)."','".addslashes($footer)."','$enabled','$lastmsg','".addslashes($server)."','".addslashes($username)."','".addslashes($password)."')");
  echo "Your changes have been saved.";
}


if ($action=="purge") {
  if ($mode=="confirmed") {
    if ($group=="") {
      $threads=$DB_site->query("SELECT a.threadid, c.postid FROM thread AS a, usenet_group AS b, post AS c WHERE b.forum=a.forumid AND a.threadid=c.threadid ". iif($onlyusenet,"AND c.isusenetpost=1",""));
    } else {
      $threads=$DB_site->query("SELECT a.threadid FROM thread AS a, post AS b WHERE a.threadid=b.threadid AND a.forumid='$forum' ". iif($onlyusenet," AND b.isusenetpost=1",""));
    }
    while($thread=$DB_site->fetch_array($threads)) {
      deletethread($thread[threadid]);
    }
    if ($group=="") {
      $DB_site->query("UPDATE usenet_group set lastmsg=0");
      $newsgroups=$DB_site->query("SELECT forum FROM usenet_group");
      while($ng=$DB_site->fetch_array($newsgroups)) {
   updateforumcount($ng[forum]);
      }
    } else {
      $DB_site->query("UPDATE usenet_group set lastmsg=0 WHERE forum = $forum");
      updateforumcount($forum);
    }
    echo "Your changes have been saved.";
  } elseif ($mode=="cancel") {
    header("Location: usenet.php?s=$s&action=groups");
  } else {
    echo "You have selected to purge<b> ". iif(isset($group),"$group","all usenet groups") ."</b>. This will:<p><li>delete all posts made in ".iif(isset($group),"this forum","any usenet forum"). " (including posts made by your users if you have selected that option)<br><li>delete ".iif(isset($group),"any imported usenet users whose only posts have been in this forum","all imported usenet users")."<br><li>delete associated search index records<br><li>update all counters<br><p>registered users will not be affected (although their usenet posts will be deleted if that option is selected.<p>";
    if($group) {
      echo "<p>Be patient as this may take some time if you have a large number of posts. You will need to update the counters manually after this operation.<p>";
    } else {
      echo "<p>Be patient as this may take some time if you have a large number of posts.<br>If your post count is very high, you may experience a time out error. If this happens, your only option is to purge the groups individually. You will need to update the counters manually after this operation.<p>";
    }
    doformheader("usenet","purge");
    makehiddencode("forum","$groupid");
    makehiddencode("group","$group");
    makehiddencode("mode","confirmed");
    makeyesnocode("You are about to delete all posts in ".iif(isset($group),$group,"all usenet groups")."<br>including those by registered users!<p>If you would like to keep threads that were started<br>by a registered user, select 'YES'.<p>Selecting 'Yes' will only mean threads that were started<br>by registered users are kept.<br>Usenet threads that have simply been posted in by a<br>registered user will still be deleted.<p>Note: Any action here will ONLY affect usenet groups.<br>Regular forums will NOT be touched.","onlyusenet",$group[enabled]);
    doformfooter();
  }
}




if ($action=="spam") {

if ($mode=="edit") {
  if ($submode=="delete") {
    $DB_site->query("DELETE FROM usenet_spam_filter WHERE id=$spamlist");
    header("Location: usenet.php?s=$s&action=spam&deleted=1");
  }
  if ($submode=="repdelete") {
    $DB_site->query("DELETE FROM usenet_replace WHERE id=$replist");
    header("Location: usenet.php?s=$s&action=spam&deleted=1");
  }

  if ($submode=="add") {
    $DB_site->query("INSERT IGNORE INTO usenet_spam_filter (scope, expression, regex, switched) VALUES ('$scope','".addslashes($expression)."','$regex','$switched')");
    header("Location: usenet.php?s=$s&action=spam&saved=1");
  }
  if ($submode=="repadd") {
    $DB_site->query("INSERT IGNORE INTO usenet_replace (linemode,original,new,regex,switched) VALUES ('$linemode','".addslashes($original)."','".addslashes($new)."','$regex','$switched')");
    header("Location: usenet.php?s=$s&action=spam&saved=1");
  }

  if ($submode=="update") {
    $DB_site->query("UPDATE usenet_spam_filter SET scope='$scope', expression='".addslashes($expression)."', regex='$regex', switched='$switched' WHERE id=$id");
    header("Location: usenet.php?s=$s&action=spam&saved=1");
  }
  if ($submode=="repupdate") {
    $DB_site->query("UPDATE usenet_replace SET linemode='$linemode', original='".addslashes($original)."', new='".addslashes($new)."',regex='$regex',switched='$switched' WHERE id=$id");
    header("Location: usenet.php?s=$s&action=spam&saved=1");
  }
}

##
 echo "<table cellpadding='1' cellspacing='0' border='0' align='center' width='90%' class='tblborder'><tr><td>";
 echo "<table cellpadding='4' cellspacing='0' border='0' align='center' width='100%' class=firstalt>";
 maketableheader("Spam Filters");
 echo "<tr><td>";
##
  echo "<br>The spam filters will act on all incoming messages and reject the entire message according to the filter. The filter will act on either the header, body or both for any criteria you specify. By default, a filter is treated as a literal string. For more flexibility and control, you can also use regular expressions. The 'Match across line breaks' option forces a regular expression to attempt to match acroos line breaks. Basically, it means the metacharacter '.' matches a '\n'. Normally, a regex would stop when it reaches the new line character ('\n'). This option is useful to match long urls that may span multiple lines. All filters are case insensitive.";
  if ($saved==1) { echo "<div align=right><font color=red>FILTER SAVED</font></div>"; }
  if ($deleted==1) { echo "<div align=right><font color=red>FILTER DELETED</font></div>"; }
  $spamregexes=$DB_site->query("SELECT * FROM usenet_spam_filter ORDER BY expression");
  while($spamregex=$DB_site->fetch_array($spamregexes)) {
    if ($spamlist==$spamregex[id]) {
      $optioncode .= "<option value=\"$spamregex[id]\" selected>$spamregex[expression]</option>";
    } else {
      $optioncode .= "<option value=\"$spamregex[id]\">$spamregex[expression]</option>";
    }
  }
  if (isset($spamlist)) {
    $spamregexes=$DB_site->query("SELECT * FROM usenet_spam_filter WHERE id = $spamlist");
    $spamregex=$DB_site->fetch_array($spamregexes);
  }

  echo "<form action=\"usenet.php\" ".iif($uploadform,"ENCTYPE=\"multipart/form-data\" ","")." name=\"$name\" method=\"post\">\n<input type=\"hidden\" name=\"s\" value=\"$session[sessionhash]\"><input type=\"hidden\" name=\"action\" value=\"spam\">\n";
  echo "<table border=0>";
  makehiddencode("s",$session[sessionhash]);
  makehiddencode("mode","edit");
  echo "<tr><td><select style=\"width: 500px;\" size=\"10\" name=\"spamlist\" multiple value=\"$spamlist\">$optioncode</select></td></tr>";
  echo "<tr><td align=\"right\"> Delete<input type=\"radio\" name=\"submode\" value=\"delete\"> Edit<input type=\"radio\" name=\"submode\" value=\"edit\" checked>   <input type=\"submit\" value=\"Select\"></td></tr>";
  echo "</table>";
  echo "</form>";


  echo "<form action=\"usenet.php\" ".iif($uploadform,"ENCTYPE=\"multipart/form-data\" ","")." name=\"$name\" method=\"post\">\n<input type=\"hidden\" name=\"s\" value=\"$session[sessionhash]\"><input type=\"hidden\" name=\"action\" value=\"spam\">\n";
  echo "<table border=0>";
  makehiddencode("s",$session[sessionhash]);
  makehiddencode("mode","edit");
  makehiddencode("id",$spamregex[id]);
  makeinputcode("Expression","expression",$spamregex[expression],1);
  makeyesnocode("Treat as a regular expression?","regex",$spamregex[regex]);
  makeyesnocode("Match across line breaks?","switched",$spamregex[switched]);
  echo "<tr class=secondalt><td>Scope</td><td><select name=\"scope\"><option value=\"all\"".iif($spamregex[scope]=="all","selected","").">All</option><option value=\"header\"".iif($spamregex[scope]=="header","selected","").">Header</option><option value=\"body\"".iif($spamregex[scope]=="body","selected","").">Body</option></select></td></tr>";
  echo "<tr class=firstalt><td colspan=\"2\" align=\"left\"> Add<input type=\"radio\" name=\"submode\" value=\"add\" checked> Update<input type=\"radio\" name=\"submode\" value=\"update\">   <input type=\"submit\" value=\"Submit\"></td></tr>";
  echo "</table>";
  echo "</form>";
##
echo "</td></tr></table>";
echo "</td></tr></table>";
##

  // Replacements
 echo "<p>";
##
 echo "<table cellpadding='1' cellspacing='0' border='0' align='center' width='90%' class='tblborder'><tr><td>";
 echo "<table cellpadding='4' cellspacing='0' border='0' align='center' width='100%' class=firstalt>";
 maketableheader("Replacement Filters");
 echo "<tr><td>";
##

  echo "<br>Replacements allow you to do either delete sections of incoming messages or replace phrases/words with something else. As with the spam filter, you can enter either a regular expression or a literal string. The 'replace complete line' option will delete any line that matches the expression or contains the string you enter. The 'Match across line breaks' option forces a regular expression to attempt to match acroos line breaks. Basically, it means the metacharacter '.' matches a '\n'. Normally, a regex would stop when it reaches the new line character ('\n'). This option is useful to match long urls that may span multiple lines. All filters are case insensitive.";
  $repregexes=$DB_site->query("SELECT * FROM usenet_replace ORDER BY original");
  while($repregex=$DB_site->fetch_array($repregexes)) {
    if ($replist==$repregex[id]) {
      $repoptioncode .= "<option value=\"$repregex[id]\" selected>$repregex[original] &nbsp;&nbsp; &laquo; REPLACED WITH &raquo; &nbsp;&nbsp; ". iif($repregex["new"]<>"",$repregex["new"],"NULL"). "</option>";
    } else {
      $repoptioncode .= "<option value=\"$repregex[id]\">$repregex[original] &nbsp;&nbsp;&laquo; REPLACED WITH &raquo; &nbsp;&nbsp; ". iif($repregex["new"]<>"",$repregex["new"],"NULL"). "</option>";
    }
  }
  if (isset($replist)) {
    $repregexes=$DB_site->query("SELECT id,linemode,original,new as replacement,regex FROM usenet_replace WHERE id = $replist");
    $repregex=$DB_site->fetch_array($repregexes);
  }
  echo "<form action=\"usenet.php\" ".iif($uploadform,"ENCTYPE=\"multipart/form-data\" ","")." name=\"$name\" method=\"post\">\n<input type=\"hidden\" name=\"s\" value=\"$session[sessionhash]\"><input type=\"hidden\" name=\"action\" value=\"spam\">\n";
  echo "<table border=0>";
  makehiddencode("mode","edit");
  echo "<tr><td><select style=\"width: 500px;\" size=\"10\" name=\"replist\" multiple value=\"$replist\">$repoptioncode</select></td></tr>";
  echo "<tr><td align=\"right\"> Delete<input type=\"radio\" name=\"submode\" value=\"repdelete\"> Edit<input type=\"radio\" name=\"submode\" value=\"repedit\" checked>   <input type=\"submit\" value=\"Select\"></td></tr>";
  echo "</table>";
  echo "</form>";



  echo "<form action=\"usenet.php\" ".iif($uploadform,"ENCTYPE=\"multipart/form-data\" ","")." name=\"$name\" method=\"post\">\n<input type=\"hidden\" name=\"s\" value=\"$session[sessionhash]\"><input type=\"hidden\" name=\"action\" value=\"spam\">\n";
  echo "<table border=0>";
  makehiddencode("s",$session[sessionhash]);
  makehiddencode("mode","edit");
  makehiddencode("id",$repregex[id]);
  makeinputcode("Original Expression","original",$repregex[original]);
  makeinputcode("Replace With","new",$repregex[replacement],1);
  makeyesnocode("Replace complete line?","linemode",$repregex[linemode]);
  makeyesnocode("Treat as a regular expression?","regex",$repregex[regex]);
  makeyesnocode("Match across line breaks?","switched",$spamregex[switched]);
  echo "<tr><td colspan=\"2\" align=\"left\"> Add<input type=\"radio\" name=\"submode\" value=\"repadd\" checked> Update<input type=\"radio\" name=\"submode\" value=\"repupdate\">   <input type=\"submit\" value=\"Submit\"></td></tr>";
  echo "</table>";
  echo "</form>";
##
echo "</td></tr></table>";
echo "</td></tr></table>";
##

}


if ($action=="dooptions") {
  global $DB_site;

  while (list($key,$val)=each($setting)) {
    $DB_site->query("UPDATE usenet_setting SET value='".addslashes($val)."' WHERE settingid='$key'");
  }

  $settings=$DB_site->query("SELECT varname,value FROM setting");
  while ($setting=$DB_site->fetch_array($settings)) {
    $template.="\$$setting[varname] = \"".addslashes(str_replace("\"","\\\"",$setting[value]))."\";\n";
  }
  $settings=$DB_site->query("SELECT varname,value FROM usenet_setting WHERE cached=1");
  while ($setting=$DB_site->fetch_array($settings)) {
    $template.="\$$setting[varname] = \"".addslashes(str_replace("\"","\\\"",$setting[value]))."\";\n";
  }
  $DB_site->query("UPDATE template SET template='$template' WHERE title='options'");

  echo "Your changes have been saved.";

}


cpfooter();

if ($action=="manual") {
   if ($mode=="Delete") {
      foreach ($lostmsgid as $i){
         $DB_site->query("DELETE FROM usenet_article WHERE msgid='" . addslashes($i) . "'");
      }
      echo "Message(s) Deleted<br><br>";
   }
   if ($mode=="Insert into thread") {

      //$num_rows = $DB_site->num_rows($threadmsgids);
      if ($threadmsgids=$DB_site->query("SELECT msgid,ord FROM post WHERE threadid=$threadid ORDER BY dateline LIMIT 1")){
         $thread=$DB_site->fetch_array($threadmsgids);
         $threadmsgid = $thread["msgid"];
         $ord = $thread["ord"]; // most likely 0
         foreach ($lostmsgid as $i){
            $DB_site->query("UPDATE usenet_article SET refs='" . addslashes($threadmsgid) . "', ord=$ord, manual=1 WHERE msgid='" . addslashes($i) . "'");
            $DB_site->query("INSERT IGNORE INTO usenet_ref (msgid,ref) VALUES ('" . addslashes($i) . "','" . addslashes($threadmsgid) . "')");
         }
         echo "Messages inserted.<br><br>";
      }
      else { echo "Thread was not found or not specified. Please go back and select a valid thread.";}
   }
   if ($mode=="New Threads") {
      foreach ($lostmsgid as $i){
         $subjects=$DB_site->query("SELECT subject FROM usenet_article WHERE msgid='" . addslashes($i) . "' LIMIT 1");
         $subject=$DB_site->fetch_array($subjects);
         $subject=$subject["subject"];
         $subject = eregi_replace("^Re:[ ]*","",$subject);
         $DB_site->query("UPDATE usenet_article SET refs='', ord=0, manual=1, subject='" . addslashes($subject) ."' WHERE msgid='" . addslashes($i) . "'");
      }
      echo "New threads created<br><br>";
   }
   if ($mode=="Merge into One Thread") {
      $qry = "";
      $qry2 = "";
      foreach ($lostmsgid as $i){
         $qry .= "(msgid='" . addslashes($i) . "') OR ";
      }
      $qry = ereg_replace("OR $"," ",$qry);
      $first_msg=$DB_site->query("SELECT msgid,subject FROM usenet_article WHERE $qry ORDER BY dtm ASC LIMIT 1");
      $first=$DB_site->fetch_array($first_msg);
      $subject = $first["subject"];
      $firstmsgid = $first["msgid"];
      $subject = eregi_replace("^Re:[ ]*","",$subject);
      $DB_site->query("UPDATE usenet_article SET refs='" . addslashes($firstmsgid) . "', ord=0, manual=1 WHERE $qry");
      foreach ($lostmsgid as $i){
         $qry2 .= "('" . addslashes($i) . "','" . addslashes($firstmsgid) . "'),";
      }
      $qry2 = ereg_replace(",$","",$qry2);
      $DB_site->query("INSERT INTO usenet_ref (msgid,ref) VALUES $qry2");
      $DB_site->query("UPDATE usenet_article SET refs='', ord=0, manual=1, subject='" . addslashes($subject) ."' WHERE msgid='" . addslashes($firstmsgid) . "'");
      echo "Messages merged into one thread.<br><br>";
   }



   echo "<b>Manual Post Insertion</b>";
   echo "<br>Manual insertion lets you select a thread to insert lost replies into. All changes here will take effect the next time that newnews.pl is executed.";

   if($order != "dtm" && $order != "subject" && $order != "poster") {
      $order = "subject";
   }
   doformheader("usenet","manual");

   makehiddencode("s",$session[sessionhash]);
   makehiddencode("group",$group);
   makehiddencode("groupid",$groupid);
   makehiddencode("namestart",$namestart);
   makehiddencode("threadsort",$threadsort);
   makehiddencode("order",$order);
   echo "<table class=firstalt>";
   echo "<tr><td><b>Select post(s) to insert or delete:</b></td></tr>";
   echo "<tr><td><select size=\"10\" name=\"lostmsgid[]\" multiple>";
   $posts=$DB_site->query("SELECT subject,poster,msgid,dtm FROM usenet_article WHERE newsgroup='" . addslashes($group) . "' AND forum='" . addslashes($groupid) . "' AND manual=0 ORDER BY $order");
   while($post=$DB_site->fetch_array($posts)) {
      $dtm = date("F j, Y, g:i a",$post["dtm"]);
      echo "<option value=\"" . htmlentities($post["msgid"]) . "\">";
      echo htmlentities($post["subject"] . " <<<BY>>> " . $post["poster"] . " <<<ON>>> " . $dtm);
      echo "</option>\n";
   }
   echo "</select></td></tr>";
   $options = "";
   if ($namestart){ $options .= "&namestart=" . urlencode($namestart);}
   if ($threadsort){ $options .= "&threadsort=" . urlencode($threadsort);}
   echo "<tr><td align=\"right\">Sort by: <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&order=dtm\">Date</a>, <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&order=subject\">Subject</a>, or <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&order=poster\">Poster</a>.</td></tr>";
   echo "<tr><td><input type=\"submit\" name=\"mode\" value=\"Delete\"><input type=\"submit\" name=\"mode\" value=\"New Threads\"><input type=\"submit\" name=\"mode\" value=\"Merge into One Thread\"><!--<input type=\"submit\" name=\"mode\" value=\"View Post\">--></td></tr>";


   if ($namestart){
      if ($namestart == "") {
         $qry = "";
      } else {
         $qry = "AND LEFT(title,1) = '$namestart'";
      }
      $limit = "";
      $threadsort = "title";
   }
   else {
      $qry = "";
      $limit = "LIMIT 100";
   }

   if($threadsort != "title") {
      $threadsort = "lastpost";
      $sortord = "DESC";
   }
   else { $sortord = "ASC"; }

   echo "<tr><td><b>Select thread to insert post(s) into:</b></td></tr>";
   echo "<tr><td><select size=\"10\" name=\"threadid\">";
   $threads=$DB_site->query("SELECT title,lastposter,threadid,lastpost FROM thread WHERE forumid='" . addslashes($groupid) . "' $qry ORDER BY $threadsort $sortord $limit");
   while($thread=$DB_site->fetch_array($threads)) {
      $dtm = vbdate($timeformat,$thread["dtm"]);
      echo "<option value=\"$thread[2]\">";
      echo htmlentities($thread[0]);
      echo "</option>\n";
   }
   echo "</select></td></tr>";
   $options = "";
   if ($order){ $options .= "&order=" . urlencode($order);}
   if ($threadsort){ $options .= "&threadsort=" . urlencode($threadsort);}
   echo "<tr><td align=\"right\">Show threads starting with: <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=\">[ ]</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=a\">a</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=b\">b</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=c\">c</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=d\">d</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=e\">e</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=f\">f</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=g\">g</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=h\">h</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=i\">i</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=j\">j</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=k\">k</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=l\">l</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=m\">m</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=n\">n</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=o\">o</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=p\">p</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=q\">q</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=r\">r</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=s\">s</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=t\">t</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=u\">u</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=v\">v</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=w\">w</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=x\">x</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=y\">y</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options&namestart=z\">z</a> <a href=\"usenet.php?action=manual&group=$group&groupid=$groupid$options\">recent</a> </td></tr>";
   echo "<tr><td><input type=\"submit\" name=\"mode\" value=\"Insert into thread\"></td></tr>";
   echo "</table>";
   echo "</form>";
}

?>
